drop table data_of_attendence;
drop table result;
drop table course_taken;
drop table courses1;
drop table students1;

CREATE TABLE students1
(
roll NUMBER(10),
name VARCHAR2(20) NOT NULL,
department VARCHAR2(20) NOT NULL,
PRIMARY KEY (roll)
);

CREATE TABLE courses1
(
c_id VARCHAR2(20),
c_name VARCHAR2(20) UNIQUE,
year NUMBER(10) CHECK(year>0 AND year<5),
term NUMBER(10) CHECK(term>0 AND term<3),
credit NUMBER DEFAULT 3.00,
PRIMARY KEY (c_id)
);

CREATE TABLE course_taken
(
roll NUMBER(10),
c_id VARCHAR2(20),
session_yr NUMBER(10)
);

create table data_of_attendence(
 roll number(10),
 c_id varchar2(20),
 date1 date,
  status varchar2(2),
  foreign key(roll) references students1 on delete cascade,
  foreign key(c_id) references courses1 on delete cascade
);
create table result(
 roll number(10),
 c_id varchar2(20),
 num_of_class number(10),
percentage number(10),
 exam_status varchar2(2),
  foreign key(roll) references students1 on delete cascade,
  foreign key(c_id) references courses1 on delete cascade
);

INSERT INTO students1 VALUES (1107001, 'Eti', 'CSE');
INSERT INTO students1 VALUES (1207002, 'Soma', 'ECE');

INSERT INTO courses1(c_id, c_name, year,term) VALUES ('CSE 3101', 'MICROPROCESSOR', 3, 1);
INSERT INTO courses1(c_id, c_name, year,term) VALUES ('CSE 2103', 'DLD', 2, 1);

INSERT INTO course_taken(roll, c_id, session_yr) VALUES (1107001, 'CSE 3101', 2013);
INSERT INTO course_taken(roll, c_id, session_yr) VALUES (1207002, 'CSE 2103', 2013);

INSERT INTO DATE_OF_ATTENDENCE(ROLL,C_ID,DATE1,STATUS)VALUES(1107001,'CSE 3101','12-JUL-14','P');
INSERT INTO DATE_OF_ATTENDENCE(ROLL,C_ID,DATE1,STATUS)VALUES(1107001,'CSE 2103','12-JUL-14','A');


commit;


 









 