drop table head_office2;
drop table brach_management2;
drop table item2;


create table item2(
item_id number(20) not null,
item_name varchar(20),
item_code number(20) unique,
date_of_production date,
primary key(item_id)
);



create table branch_management2(
branch_id number(20) not null,
branch_manager varchar(20),
mobile number(20),
branch_address varchar(20),
customer_id number(20) unique,
customer_name varchar(20),
customer_mobile number(20),
customer_address varchar(20),
item_id number(20) not null,
no_of_buy number(10),
date_of_buy date,
primary key(branch_id),
foreign key (item_id) references item2(item_id) on delete cascade
);

create table head_office2(
id number (20) not null,
ex_committee varchar (20),
phone number(20),
email varchar (20),
item_id number (20) not null,
branch_id1 number(20) not null,
primary key(id),
foreign key(branch_id1) references branch_management2(branch_id) on delete cascade,
foreign key(item_id) references item2(item_id) on delete cascade
);

