drop table doctors;
drop table patients;
drop table shedule;

create table doctors(
	d_id number(4) not null,
	d_name varchar(20) not null,
	d_stat varchar(20) not null,
	primary key(d_id)
);
create table patients(
	p_id number(5) not null,
	p_name varchar(15) not null,
        p_stat varchar(15) not null,
	primary key (p_id)
);
create table shedule(
	d_id number(4) not null,
	v_time varchar(10) not null,
        p_con varchar(15) not null,
        foreign key(d_id) references doctors on delete cascade
);
describe doctors;
describe patients;
describe shedule;
 
insert into doctors(d_id,d_name,d_stat) values(001,'DR.SAJID','medicine');
insert into doctors(d_id,d_name,d_stat) values(002,'DR.GHOSH','surgery');
insert into doctors(d_id,d_name,d_stat) values(003,'DR.AKIIB','medicine');
insert into doctors(d_id,d_name,d_stat) values(004,'DR.MAMUN','surgery');
insert into doctors(d_id,d_name,d_stat) values(005,'DR.RAHAT','medicine');
insert into doctors(d_id,d_name,d_stat) values(006,'DR.SHUVO','surgery');

insert into patients(p_id,p_name,p_stat) values(001,'RAJIB','DYSENTRY');
insert into patients(p_id,p_name,p_stat) values(002,'BADHON','DIAARHEA');
insert into patients(p_id,p_name,p_stat) values(003,'ROHAN','CHOLERA');
insert into patients(p_id,p_name,p_stat) values(004,'SADIA','INFLUENZA');
insert into patients(p_id,p_name,p_stat) values(005,'RAKIB','FEVER');
insert into patients(p_id,p_name,p_stat) values(006,'ASHIK','TYPHOID');

insert into shedule(d_id,v_time,p_con) values(001,'SUN 5PM','DYSENTRY');
insert into shedule(d_id,v_time,p_con) values(002,'MON 5PM','DIAARHEA');
insert into shedule(d_id,v_time,p_con) values(003,'SAT 5PM','CHOLERA');
insert into shedule(d_id,v_time,p_con) values(004,'SUN 5PM','DYSENTRY');
insert into shedule(d_id,v_time,p_con) values(005,'SAT 5PM','INFLUENZA');
insert into shedule(d_id,v_time,p_con) values(006,'WED 5PM','TYPHOID');