drop table book;
drop table author;
drop table students;

create table book(
   book_id number(7),
   book_name varchar(100) not null,
   writter_name varchar(100) not null,
   category varchar(100),
   price decimal(5,2),
   primary key(book_id)
);

create table author(
   a_id number(7),
   a_name varchar(100) not null,
   a_phone number(11),
   join_date date,
   salary number(5),
   primary key(a_id)
);

create table students(
   s_id number(10),
   s_name varchar(100) not null,
   book_id number(7),
   book_name varchar(100) not null,
   a_id number(7),
   year varchar(20),
   primary key(s_id),
   foreign key(book_id) references book(book_id) on delete cascade,
   foreign key(a_id) references author(a_id) on delete cascade
);


describe book;
describe author;
describe students;

commit;







